Package com.facebook.presto.jdbc

# Class QueryStats

java.lang.Object
com.facebook.presto.jdbc.QueryStats

public final class QueryStats extends Object

## Constructor Summary

Constructors
Constructor
Description
`QueryStats(String queryId, String state, boolean waitingForPrerequisites, boolean queued, boolean scheduled, int nodes, int totalSplits, int queuedSplits, int runningSplits, int completedSplits, long cpuTimeMillis, long wallTimeMillis, long waitingForPrerequisitesTimeMillis, long queuedTimeMillis, long elapsedTimeMillis, long processedRows, long processedBytes, long peakMemoryBytes, long peakTotalMemoryBytes, long peakTaskTotalMemoryBytes, Optional<StageStats> rootStage)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getCompletedSplits()`
`long`
`getCpuTimeMillis()`
`long`
`getElapsedTimeMillis()`
`int`
`getNodes()`
`long`
`getPeakMemoryBytes()`
`long`
`getPeakTaskTotalMemoryBytes()`
`long`
`getPeakTotalMemoryBytes()`
`long`
`getProcessedBytes()`
`long`
`getProcessedRows()`
`OptionalDouble`
`getProgressPercentage()`
`String`
`getQueryId()`
`int`
`getQueuedSplits()`
`long`
`getQueuedTimeMillis()`
`Optional<StageStats>`
`getRootStage()`
`int`
`getRunningSplits()`
`String`
`getState()`
`int`
`getTotalSplits()`
`long`
`getWaitingForPrerequisitesTimeMillis()`
`long`
`getWallTimeMillis()`
`boolean`
`isQueued()`
`boolean`
`isScheduled()`
`boolean`
`isWaitingForPrerequisites()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### QueryStats

public QueryStats(String queryId, String state, boolean waitingForPrerequisites, boolean queued, boolean scheduled, int nodes, int totalSplits, int queuedSplits, int runningSplits, int completedSplits, long cpuTimeMillis, long wallTimeMillis, long waitingForPrerequisitesTimeMillis, long queuedTimeMillis, long elapsedTimeMillis, long processedRows, long processedBytes, long peakMemoryBytes, long peakTotalMemoryBytes, long peakTaskTotalMemoryBytes, Optional<StageStats> rootStage)

## Method Details

### getQueryId

public String getQueryId()

### getState

public String getState()

### isWaitingForPrerequisites

public boolean isWaitingForPrerequisites()

### isQueued

public boolean isQueued()

### isScheduled

public boolean isScheduled()

### getNodes

public int getNodes()

### getTotalSplits

public int getTotalSplits()

### getQueuedSplits

public int getQueuedSplits()

### getRunningSplits

public int getRunningSplits()

### getCompletedSplits

public int getCompletedSplits()

### getCpuTimeMillis

public long getCpuTimeMillis()

### getWallTimeMillis

public long getWallTimeMillis()

### getWaitingForPrerequisitesTimeMillis

public long getWaitingForPrerequisitesTimeMillis()

### getQueuedTimeMillis

public long getQueuedTimeMillis()

### getElapsedTimeMillis

public long getElapsedTimeMillis()

### getProcessedRows

public long getProcessedRows()

### getProcessedBytes

public long getProcessedBytes()

### getPeakMemoryBytes

public long getPeakMemoryBytes()

### getPeakTotalMemoryBytes

public long getPeakTotalMemoryBytes()

### getPeakTaskTotalMemoryBytes

public long getPeakTaskTotalMemoryBytes()

### getRootStage

public Optional<StageStats> getRootStage()

### getProgressPercentage

public OptionalDouble getProgressPercentage()